<h1 class="card-title">Mercadorias (Products)</h1><br>
<h3 class="card-title">Swagger: <a href="http://localhost:8080/swagger-ui.html#/ProductDocumentation" alt="Link de acesso ao swagger da POC, considerando demonstração em ambiente local." target="_blank">clique aqui!</a></h3><br>

<div class="mx-auto mt-5 card col-md" style="width: 35rem;">
    <div class="card-body">
        <h5 class="card-title">Cadastrar Produtos</h5>
        <h6 class="card-subtitle mb-3 text-muted">Preencha os dados abaixo</h6>

        <form (submit)="productService.createProduct($event)">
            <div class="row">
                <div class="form-group col-2">
                    <label for="name">SKU</label>
                    <input name="sku" [(ngModel)]="productService.product.sku" type="number" id="sku" class="form-control form-control-sm" placeholder="Informe o código comercial do produto" autofocus required/>
                </div>
                <div class="form-group col-10">
                  <label for="name">Nome</label>
                  <input name="name" [(ngModel)]="productService.product.name" type="string" id="name" class="form-control form-control-sm" placeholder="Informe o nome do produto" required/>
                </div>
            </div>
            <div class="form-group">
                <label for="description">Descrição</label>
                <input name="description" [(ngModel)]="productService.product.description" type="text" id="description" class="form-control form-control-sm" placeholder="Informe a descrição do produto" />
            </div>
            <div class="form-group">
              <label for="weight">Peso</label>
              <input name="weight" [(ngModel)]="productService.product.weight" type="number" id="weight" class="form-control form-control-sm" placeholder="Informe o peso do produto" />
          </div>

          <button type="submit" class="btn btn-primary btn-sm">Cadastrar</button>

        </form>
    </div>
</div>

<hr>
<div class="mx-auto mt-5 card col-md" style="width: 35rem;">
  <div class="card-body">
      <h5 class="card-title">Buscar Mercadorias</h5>
      <h6 class="card-subtitle mb-3 text-muted">Preencha os dados abaixo</h6>

      <form (submit)="productService.getProductsByName($event)">
          <div class="form-group">
              <label for="name">Nome</label>
              <input name="name" [(ngModel)]="productService.productSearch.name" type="string" id="name" class="form-control form-control-sm" placeholder="Informe o nome da mercadoria desejada de busca" required/>
          </div>
          <button type="submit" class="btn btn-primary btn-sm">Buscar</button>
      </form>
  </div>
</div><br />

<table class="table">
  <thead>
    <tr>
      <th scope="col">SKU</th>
      <th scope="col">Nome</th>
      <th scope="col">Descrição</th>
      <th scope="col">Peso</th>
    </tr>
  </thead>
  <tbody *ngFor="let product of productService.products; let i = index">
    <tr>
      <td>{{product.sku}}</td>
      <td>{{product.name}}</td>
      <td>{{product.description}}</td>
      <td>{{product.weight}}</td>
    </tr>
  </tbody>
</table>
